Subject: bug#48543: Feature request: put ELN cache in $XDG_CACHE_HOME by default

From: Eli Zaretskii <[email-masked]>
Date: Wed, 13 Jul 2022 15:42:52 +0300

> Cc: [email-masked], Andrea Corallo <[email-masked]>
> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 13 Jul 2022 14:08:56 +0200
> 
> >> I don't think so, personally: the XDG spec says the XDG cache
> >> directory should hold "user-specific non-essential (cached) data
> >> files". The *.eln files don't fit that description: the user would
> >> like the files to persist.
> >>
> >> That said, feel free to submit a feature-request bug report about
> >> this, and let's see what others think about this.
> >
> > FWIW, I had a quick look through my .cache folder, and it seems that
> > chromium and Firefox both put compiled code in that folder (JS
> > bytecode and compiled Webassembly files).
> 
> Since the .eln files are cached data, it seems like the right place to
> put them.  Of course the user would like all (non-stale) cached data to
> persist.

So we prefer to hear more complaints about Emacs being slow to start
because the eln-cache was purged?  Don't forget that the XDG
directories can disappear without a warning.